Subject: Re: [RFC v2] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 21 Aug 2008 13:11:23 +0200

On Wed, 20 Aug 2008, Stephan Beyer wrote:
> Jakub Narebski wrote:
> 
> > By the way, should the survey be divided in pages, or simply use
> > headers to divide survey into sections?
> 
> Divided pages have a psychological impact, they don't look much and you
> can say "Almost there!" on each page.
> 
> But headers and one-page surveys have a big advantage for users that pay
> for Internet access per time unit: they can go offline, answer the
> questions, and go online again to submit the survey.
> 
> So I've scrolled across your test survey on survs.com and I think it
> should be kept on one page. Looks nice and manageable.

I also prefer single page surveys; it would be better if this survey
was shorter (by the way, how long did you took to complete test survey?),
but there are so many interesting questions...
 
> > Third, where to send survey to / where to publish information about the 
> > survey?
> 
> This question leads me to a question that could be put into the survey:
> 
> 	Where have you read about this survey? (optional)
> 	[Free form]

But where to add it?  Additionally I'd rather limit free-form questions
to absolute minimum.

This is the question I was lacking, so I'll think about adding it to
the survey.

> So, some comments on the questions now:
> 
> > About you
> > 
> >    xx. What country are you in?
> 
> "What country do you live in?" perhaps?

This is better phrasing.  Changed.
 
> > Getting started with GIT
> > 
> >    xx. How did you hear about Git?
> 
> There is a typo on survs.com (hear_d_).
> Should this by the way be multiple choice?
> I have heard about Git several times before I tried it.
 
Good idea, I think, and doesn't lead to more work when analysing.
And it would perhaps make it easier to choose appropriate answer.

Changed. 

> I will only quote from survs.com now:
> 
> > told by friend (word of mouth)
>                  ^^^^^^^^^^^^^^^ ? :) I think this should be removed

O.K.

> > What other SCM did or do you use?
> >[..]
> >  custom ( ) ( ) ( )
> 
> custom?

I mean here custom, not published (or no longer existing) SCM; something
that would be hard to write about.

I agree that it is not the best phrasing.

> > 20. Which porcelains / interfaces / implementations do you use?
> >  [ ] core-git
> 
> Uh, this is ambiguous.  Is this our git or some script on top of git?
> In both cases, this should be clarified.

There is "my own scripts" at the bottom; I mean here using no additional
porcelain, no interface on top of git command line.

But it is here for completeness only; however if you have some good
explanation for "core-git" option I can put it below this question.

> > 22. Which git web interface do you use for your projects/have installed?
> > (Web interfaces used by git hosting sites do not count[*])
> [...]
> > (*) Unless of cours you are hosting some git hosting site
>              ^^^^^^^^                                      ^
> 	     typo, but I'd rather do s/of cours //   and s/$/./ :-)

Thanks.  Done.

> > 26. How often do you use the following forms of git commands
> > or extra git tools?
> >
> >		Never | Rare | Often
>                                      | Not yet, but sounds cool   ;-)
> 
> No no :-)
> 
> But I wonder if we could split the "Never" case into several cases with
> reasons like:
>  - Do not know.
>  - Not yet needed.
>  - Other (did not understand; tried but did not work; ...)
> 
> But this will perhaps bloat the question even more, so we should keep
> "Never", though I think the reasons could be interesting.
> Could some "Comments" field for question 26 help?

Now it is 'never/rarely/sometimes/often'.  I think there are enough
free form questions that one can put his/her own comments about git
commands in this survey...

> Some other comment: I dislike that there is *one* "Reset" button for
> such matrix questions. But I guess you cannot change that?

Yes, this is canned web survey site.  I can only send feedback,
but I guess so can you (unless this requires subscription/invite...).

> > 28. Which of the following features do or did you use?
> 
> I think many of the possible replies have been used in several other
> questions before, e.g. in 
>  - 21. (gitk, git gui), 
>  - 24. (git bundle),
>  - 26/27. (git gui, gitk, git stash)
>  - ...
> 
> But this question still seems to makes sense for:
>  [ ] eol conversion (crlf)
>  [ ] gitattributes
>  [ ] reflog (ref@{23})
>  [ ] shallow clone
>  [ ] detaching HEAD   <- I think several people could have used that without knowing
>  [ ] commit templates
>  [ ] integration with IDE/editor
>  [ ] non-default hooks
> 
> And btw:
> > [ ] working with dirty tree      <- Eh? Is this a feature?

This is distinguishing feature.  What I mean here that you can use
"git add" and "git commit" (not "git commit -a") and have some
uncommitted changes, like for example change of version in Makefile.

> Big thanks for your efforts,
>   Stephan

You are welcome.

-- 
Jakub Narebski
Poland